.BrandMenu {
    &-wrapper {
        overflow: auto;
        width: 100%;
    }

    &-ListingButton {
        span {
            display: inline-block;
            border-bottom: 1px solid #141414;
            font-size: 10px;
            line-height: 18px;
        }
    }

    &-link {
        display: inline-flex;
        padding-right: 20px;
        align-items: center;

        span {
            display: inline-block;
            overflow: hidden;
            text-overflow: ellipsis;
            white-space: nowrap;
        }

        &_premium {
            &::after {
                margin-left: 6px;
                position: relative;
                top: 4px;
                content: url('../../style/images/premium.svg');
            }

            span {
                display: inline-block;
                overflow: hidden;
                text-overflow: ellipsis;
            }
        }

        &_soon,
        &_wkrótce {
            pointer-events: none;
            cursor: default;

            &::after {
                padding: 0 4px;
                border: 1px solid #141414;
                margin-left: 10px;
                background-color: #fff;
                font-size: 12px;
                font-weight: 500;
                line-height: 16px;
                content: 'SOON';
            }

            span {
                display: block;
                overflow: hidden;
                text-overflow: ellipsis;
            }
        }

        &_soon::after {
            content: 'SOON';
        }

        &_wkrótce::after {
            content: 'WKRÓTCE';
        }
    }

    &-filters {
        display: inline-block;
        margin-left: 16px;
    }

    &-filtersElem {
        display: inline-block;
        padding: 0 2px;
        margin: 0 3px;
        font-size: 16px;
        line-height: 24px;
        cursor: pointer;

        &_active {
            padding-bottom: 2px;
            border-bottom: 1px solid;
            font-weight: 600;
        }

        &:last-of-type {
            margin-left: 16px;
        }
    }

    &-Arrow {
        &_left {
            position: absolute;
            top: 50%;
            left: 0;
            z-index: 1000;

            &::before {
                display: block;
                transform: rotate(180deg);
                content: url('../../style/images/arrowSmall.svg');
            }
        }

        &_right {
            position: absolute;
            top: 50%;
            right: 0;
            z-index: 1000;

            &::before {
                content: url('../../style/images/arrowSmall.svg');
            }
        }
    }

    &-slider {
        display: flex;
        height: 500px;
        flex-direction: column;
        flex-wrap: wrap;
        font-size: 12px;
        line-height: 26px;
        scroll-snap-type: x mandatory;

        a {
            scroll-snap-align: end;
        }

        a + a {
            margin-left: 0;
        }

        &-item {
            display: flex;
            width: 33%;
            min-width: 180px;
            flex-direction: column;
        }
    }
}
